Bug#517227: dh-make-perl cannot find dependancy using apt-file

Ilya Martynov ilya at iponweb.net
Thu Feb 26 14:11:27 UTC 2009

Package: dh-make-perl
Version: 0.51
Severity: normal

I tried to build POE::Component::SSLify from CPAN and noticed that
dh-make-perl cannot find all dependancies for the module using

ilya at denmark:~/tmp/POE-Component-SSLify-0.15$ dh-make-perl
Found: POE-Component-SSLify 0.15 (libpoe-component-sslify-perl arch=all)
+ perl found in perl
- Net::SSLeay not found in any package

The following Perl modules are required and not installed in your system:
 - Net::SSLeay
You do not have 'apt-file' currently installed, or have not ran
'apt-file update' - If you install it and run 'apt-file update' as
root, I will be able to tell you which Debian packages are those
modules in (if they are packaged).
Using maintainer: Ilya Martynov <ilya at denmark.iponweb.net>
Found changelog: Changes
Found docs: README
Found examples: examples/*
Using rules: /usr/share/dh-make-perl/rules.dh7.noxs
--- Done

When running apt-file manually it seems to work just fine and find the module.

ilya at denmark:~/tmp/POE-Component-SSLify-0.15$ apt-file search Net::SSLeay
libnet-ssleay-perl: /usr/share/man/man3/Net::SSLeay.3pm.gz
libnet-ssleay-perl: /usr/share/man/man3/Net::SSLeay::Handle.3pm.gz
ilya at denmark:~/tmp/POE-Component-SSLify-0.15$ apt-file search Net/SSLeay.pm
libnet-ssleay-perl: /usr/lib/perl5/Net/SSLeay.pm

-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=ru_RU.UTF8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dh-make-perl depends on:
ii  debhelper                     7.0.17     helper programs for debian/rules
ii  dpkg-dev                      1.14.25    Debian package development tools
ii  fakeroot                      1.11       Gives a fake root environment
ii  libapt-pkg-perl               0.1.22+b1  Perl interface to libapt-pkg
ii  libclass-accessor-perl        0.31-2     Automated accessor generator
ii  libemail-date-format-perl     1.002-1    Module to generate RFC-2822-valid 
ii  libmodule-corelist-perl       2.17-1     what modules shipped with versions
ii  libmodule-depends-perl        0.14-2     identify the dependencies of a dis
ii  libwww-mechanize-perl         1.54-1     Automate interaction with websites
ii  libyaml-perl                  0.68-1     YAML Ain't Markup Language (tm)
ii  make                          3.81-5     The GNU version of the "make" util
ii  perl                          5.10.0-19  Larry Wall's Practical Extraction 
ii  perl-modules [libmodule-corel 5.10.0-19  Core Perl modules

Versions of packages dh-make-perl recommends:
ii  apt-file                      2.2.1      search for files within Debian pac
ii  libmodule-build-perl          0.3000-1   Subclassable and make-independent 
ii  perl-modules [libmodule-build 5.10.0-19  Core Perl modules

dh-make-perl suggests no packages.

-- no debconf information

More information about the pkg-perl-maintainers mailing list